Financing Summary Preview

A financing summary object describes a connected account’s financing status in real time. A financing status is either accepted, delivered, or none. You can read the status of your connected accounts.

The Financing Summary object Preview

Attributes

  • objectstring

    The object type: financing_summary

  • detailsnullable object

    Additional information about the financing summary. Describes currency, advance amount, fee amount, withhold rate, remaining amount, paid amount, current repayment interval, repayment start date, and advance payout date.

    Only present for financing offers with the paid_out status.

  • financing_offernullable string

    The unique identifier of the Financing Offer object that corresponds to the Financing Summary object.

  • statusnullable enumDeprecated

    The financing status of the connected account.

    Possible enum values
    accepted

    The connected account has an active financing offer that has been paid out.

    delivered

    A financing offer has been marketed to the connected account, but the account hasn’t accepted it yet.

    none

    The connected account doesn’t have any active financing.

The Financing Summary object
{
"object": "capital.financing_summary",
"details": {
"advance_amount": 100000,
"advance_paid_out_at": 1688424277.0578003,
"currency": "usd",
"current_repayment_interval": null,
"fee_amount": 10000,
"paid_amount": 100263,
"remaining_amount": 9737,
"repayments_begin_at": 1688424277.0577993,
"withhold_rate": 0.05
},
"financing_offer": "financingoffer_1NPvU12eZvKYlo2CotjdGRzu",
"status": "accepted"
}

Retrieve financing summary 

Retrieve the financing summary object for the account.

Parameters

No parameters.

Returns

Returns a financing summary object for the account.

GET /v1/capital/financing_summary
curl https://api.stripe.com/v1/capital/financing_summary \
-u "sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2:" \
-H "Stripe-Account: {{CONNECTED_ACCOUNT_ID}}"
Response
{
"object": "capital.financing_summary",
"details": {
"advance_amount": 100000,
"advance_paid_out_at": 1688424277.0578003,
"currency": "usd",
"current_repayment_interval": null,
"fee_amount": 10000,
"paid_amount": 100263,
"remaining_amount": 9737,
"repayments_begin_at": 1688424277.0577993,
"withhold_rate": 0.05
},
"financing_offer": "financingoffer_1NPvU12eZvKYlo2CotjdGRzu",
"status": "accepted"
}